/* $Id: etc.h,v 1.1 1996/10/24 04:27:44 ryo freeze $
 *
 *	\[XR[hWFl[^
 *	Gp[`wb_t@C
 *	Copyright (C) 1989,1990 K.Abe
 *	All rights reserved.
 *	Copyleft 1997 Tachibana Eriko.
 *
 */

#ifndef MFREE_NO_MACRO
#include    <stdlib.h>		/* free() */
#endif

#include    "global.h"


extern ULONG	atox( char * );
extern void	err( int , char* , ... );
extern void	*Malloc( ULONG );
extern void	*Realloc( void* , int );

#ifndef	__LIBC__
extern int	eprintf( const char* ,... );
#endif
extern int	eputc( int );

#ifdef MFREE_NO_MACRO
extern void	Mfree( void* );
#else
#define Mfree(ptr) free(ptr)
#endif

USEOPTION   option_q;

#define charout(a) (void)({ if( !option_q ) eputc( a ); })


#ifdef min
#undef min
#endif
#ifdef max
#undef max
#endif

#ifdef __GNUC__
#define min( a , b )	({ typeof (a) _a = (a) , _b = (b) ; ( _a < _b ) ? _a : _b; })
#define max( a , b )	({ typeof (a) _a = (a) , _b = (b) ; ( _a > _b ) ? _a : _b; })
#else
extern ULONG	min( ULONG , ULONG );
extern ULONG	max( ULONG , ULONG );
#endif

/* EOF */
